## dcmstack 0.8

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/dcmstack.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/dcmstack.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/dcmstack"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/dcmstack"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## dcmstack 0.6.2+git33-gb43919a.1

=== debian/changelog ===
dcmstack (0.6.2+git33-gb43919a.1-1) unstable; urgency=low

  * Initial release (Closes: #798040).

 -- Michael Hanke <mih@debian.org>  Wed, 23 Sep 2015 18:56:29 +0200

=== debian/control ===
Source: dcmstack
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               help2man,
               python-all,
               python-dicom (>= 0.9.7~),
               python-docutils,
               python-mock,
               python-nibabel (>= 2.0~),
               python-nose,
               python-numpy,
               python-numpydoc,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 3.9.6
Homepage: https://github.com/moloney/dcmstack
X-Python-Version: >= 2.6

Package: python-dcmstack
Architecture: all
Section: python
Depends: python-dicom (>= 0.9.7~),
         python-nibabel (>= 2.0~),
         python-numpy,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Provides: ${python:Provides}
Description: DICOM to Nifti conversion
 DICOM to Nifti conversion with the added ability to extract and summarize
 meta data from the source DICOMs. The meta data can be injected into a
 Nifti header extension or written out as a JSON formatted text file.
 .
 This package provides the Python package, command line tools (dcmstack,
 and nitool), as well as the documentation in HTML format.

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v(\d)\.(\d).*/dcmstack-$1.$2\.tar\.gz/" \
  http://github.com/moloney/dcmstack/tags .*archive/v(\d[\d.]+).tar.gz

## dcmstack 0.6.2+git36-gc12d27d

=== debian/changelog ===
dcmstack (0.6.2+git36-gc12d27d-1~nd17.04+1) zesty; urgency=medium

  * Backported for zesty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 07 Dec 2017 20:15:02 -0500

dcmstack (0.6.2+git36-gc12d27d-1) unstable; urgency=medium

  * New upstream snapshot from v0.6.2-36-gc12d27d
  * debian/control
    - Added Vcs fields
    - Properly capitalized NIfTI
    - Boosted policy to 4.1.1

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 07 Dec 2017 19:39:52 -0500

=== debian/control ===
Source: dcmstack
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               help2man,
               python-all,
               python-dicom (>= 0.9.7~),
               python-docutils,
               python-mock,
               python-nibabel (>= 2.0~),
               python-nose,
               python-numpy,
               python-numpydoc,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 4.1.1
Homepage: https://github.com/moloney/dcmstack
Vcs-Git: https://github.com/neurodebian/dcmstack
Vcs-Browser: https://github.com/neurodebian/dcmstack
X-Python-Version: >= 2.6

Package: python-dcmstack
Architecture: all
Section: python
Depends: neurodebian-popularity-contest, python-dicom (>= 0.9.7~),
         python-nibabel (>= 2.0~),
         python-numpy,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Provides: ${python:Provides}
Description: DICOM to NIfTI conversion
 DICOM to NIfTI conversion with the added ability to extract and summarize
 meta data from the source DICOMs. The meta data can be injected into a
 NIfTI header extension or written out as a JSON formatted text file.
 .
 This package provides the Python package, and command line tools (dcmstack,
 and nitool), as well as the documentation in HTML format.

## dcmstack 0.7

=== debian/changelog ===
dcmstack (0.7-1~nd17.10+1) artful; urgency=medium

  * Backported for artful.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 15 Oct 2018 19:50:23 -0400

dcmstack (0.7-1) unstable; urgency=medium

  * Fresh upstream release
    + includes python3 support. python3-dcmstack binary package was added
      with necessary changes to debian/{control,rules}
    - debian/patches/* - upstreamed now

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Oct 2018 16:48:07 -0400

=== debian/control ===
--- 
+++ 
@@ -17,16 +17,25 @@
                python-numpy,
                python-numpydoc,
                python-setuptools,
+               python3-all,
+               python3-dicom (>= 0.9.7~),
+               python3-docutils,
+               python3-mock,
+               python3-nibabel (>= 2.0~),
+               python3-nose,
+               python3-numpy,
+               python3-numpydoc,
+               python3-setuptools,
                python-sphinx (>= 1.0.7+dfsg-1~)
 Standards-Version: 4.1.1
 Homepage: https://github.com/moloney/dcmstack
 Vcs-Git: https://github.com/neurodebian/dcmstack
 Vcs-Browser: https://github.com/neurodebian/dcmstack
 X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 
 Package: python-dcmstack
 Architecture: all
-Section: python
 Depends: neurodebian-popularity-contest, python-dicom (>= 0.9.7~),
          python-nibabel (>= 2.0~),
          python-numpy,
@@ -41,3 +50,18 @@
  .
  This package provides the Python package, and command line tools (dcmstack,
  and nitool), as well as the documentation in HTML format.
+
+Package: python3-dcmstack
+Architecture: all
+Depends: neurodebian-popularity-contest, python3-dicom (>= 0.9.7~),
+         python3-nibabel (>= 2.0~),
+         python3-numpy,
+         ${misc:Depends},
+         ${python3:Depends},
+Provides: ${python3:Provides}
+Description: DICOM to NIfTI conversion - python3 package
+ DICOM to NIfTI conversion with the added ability to extract and summarize
+ meta data from the source DICOMs. The meta data can be injected into a
+ NIfTI header extension or written out as a JSON formatted text file.
+ .
+ This package provides the Python3 package.

=== debian/rules ===
#!/usr/bin/make -f

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local upstream branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'v[0-9].*' $$(git merge-base -a HEAD upstream) | sed -e 's/^v//' -e 's/-/+git/').1

export DH_VERBOSE = 1
export PYBUILD_NAME = dcmstack

# one ring to rule them all ...
%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html
	dh_installdocs

override_dh_installman:
	mkdir -p build/man
	PYTHONPATH=$(shell readlink -f debian/python-dcmstack/usr/lib/python*/dist-packages) \
		help2man --no-discard-stderr --no-info -o build/man/dcmstack.1 \
		--name "DICOM to NIfTI converter" \
		debian/python-dcmstack/usr/bin/dcmstack
	PYTHONPATH=$(shell readlink -f debian/python-dcmstack/usr/lib/python*/dist-packages) \
		help2man --no-discard-stderr --no-info -o build/man/nitool.1 \
		--name "meta data manipulation tool for dcmstack-enhanced NIfTI images" \
		debian/python-dcmstack/usr/bin/nitool
	dh_installman

clean::
	dh_clean
	-rm -rf build .pybuild src/dcmstack.egg-info
	-find . -name '*.pyc' -delete

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

# check that DSC patches still apply
maint-check-dsc-patches:
	@for p in debian/patches/*-dsc-patch; \
		do echo "check $$p"; \
		patch -p1 --dry-run < $$p || exit 1 ; \
	done

## dcmstack 0.8

=== debian/changelog ===
dcmstack (0.8-1~nd100+1) buster; urgency=medium

  * Backported for buster.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 05 Mar 2020 16:40:55 -0500

dcmstack (0.8-1) unstable; urgency=medium

  * Fresh upstream release
    - should resolve incompatibility with fresh nibabel
  * debian/control
    - Announce that it conflicts with python-dcmstack because they
      both provide /usr/bin scripts; Closes: #946992
  * debian/gbp.conf
    - Added to facilitate usability of our non-standard VCS setup

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 05 Mar 2020 16:29:19 -0500

dcmstack (0.7-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #942992, #936372, #913015
  * dont fail build if test fails
  * Drop obsolete X-Python fields
  * Build manpage in a PYBUILD_AFTER_INSTALL command

 -- Sandro Tosi <morph@debian.org>  Tue, 17 Dec 2019 22:04:55 -0500

=== debian/control ===
Source: dcmstack
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               help2man,
               python3-all,
               python3-dicom (>= 0.9.7~),
               python3-docutils,
               python3-mock,
               python3-nibabel (>= 2.0~),
               python3-nose,
               python3-numpy,
               python3-numpydoc,
               python3-setuptools,
               python3-sphinx (>= 1.0.7+dfsg-1~)
Standards-Version: 4.1.1
Homepage: https://github.com/moloney/dcmstack
Vcs-Git: https://github.com/neurodebian/dcmstack
Vcs-Browser: https://github.com/neurodebian/dcmstack

Package: python3-dcmstack
Architecture: all
Depends: neurodebian-popularity-contest, python3-dicom (>= 0.9.7~),
         python3-nibabel (>= 2.0~),
         python3-numpy,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Conflicts: python-dcmstack
Provides: ${python3:Provides}
Description: DICOM to NIfTI conversion - python3 package
 DICOM to NIfTI conversion with the added ability to extract and summarize
 meta data from the source DICOMs. The meta data can be injected into a
 NIfTI header extension or written out as a JSON formatted text file.
 .
 This package provides the Python3 package.

=== debian/rules ===
--- 
+++ 
@@ -12,26 +12,17 @@
 
 export DH_VERBOSE = 1
 export PYBUILD_NAME = dcmstack
+export PYBUILD_AFTER_INSTALL=mkdir -p build/man ; \
+                             PYTHONPATH={build_dir} help2man --no-discard-stderr --no-info -o build/man/dcmstack.1 --name "DICOM to NIfTI converter"                                       debian/python3-dcmstack/usr/bin/dcmstack ; \
+			     PYTHONPATH={build_dir} help2man --no-discard-stderr --no-info -o build/man/nitool.1   --name "meta data manipulation tool for dcmstack-enhanced NIfTI images" debian/python3-dcmstack/usr/bin/nitool
 
 # one ring to rule them all ...
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_installdocs:
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml doc/ build/html
+	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/ build/html
 	dh_installdocs
-
-override_dh_installman:
-	mkdir -p build/man
-	PYTHONPATH=$(shell readlink -f debian/python-dcmstack/usr/lib/python*/dist-packages) \
-		help2man --no-discard-stderr --no-info -o build/man/dcmstack.1 \
-		--name "DICOM to NIfTI converter" \
-		debian/python-dcmstack/usr/bin/dcmstack
-	PYTHONPATH=$(shell readlink -f debian/python-dcmstack/usr/lib/python*/dist-packages) \
-		help2man --no-discard-stderr --no-info -o build/man/nitool.1 \
-		--name "meta data manipulation tool for dcmstack-enhanced NIfTI images" \
-		debian/python-dcmstack/usr/bin/nitool
-	dh_installman
 
 clean::
 	dh_clean
@@ -51,3 +42,5 @@
 		patch -p1 --dry-run < $$p || exit 1 ; \
 	done
 
+override_dh_auto_test:
+	-dh_auto_test

=== debian/tests/control ===
Test-Command: nosetests-3 .
Depends: @, @builddeps@

## dcmstack 0.9

=== debian/changelog ===
dcmstack (0.9-3) unstable; urgency=medium

  * d/t/control: ignore autopkgtest failures on s390x.
    The package has a history of having always failed tests since debci
    supports s390x sunners.

 -- Étienne Mollier <emollier@debian.org>  Fri, 31 May 2024 21:27:48 +0200

dcmstack (0.9-2) unstable; urgency=medium

  [ Alexandre Detiste ]
  * patch-out usage of legacy python3-mock

  [ Étienne Mollier ]
  * pytest-8.patch: new: fix test failures with pytest 8.
    (Closes: #1063943, #1071794)
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * d/man/*.1: fix slight issue in scripted manuals.

 -- Étienne Mollier <emollier@debian.org>  Wed, 29 May 2024 14:27:30 +0200

dcmstack (0.9-1) unstable; urgency=medium

  * Fresh upstream release
    - should have addressed compatibility issues with recent nibabel etc
    - uses pytest (dropping custom debian/patch)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Sep 2022 19:37:10 -0400

dcmstack (0.8-3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Standardize repository to Debian Med policy and remove debian/gbp.conf
  * Move repository to Debian Med team Salsa space
  * Maintain package in Debian Med team
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Cleanup d/rules
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nilesh Patra ]
  * Add patch to move tests from using nose->pytest
  * Add B-D on pytest instead of nose
  * Fix autopkgtests
  * Improve autopkgtests: run in AUTOPKGTEST_TMP instead of
    source root to ensure they work
  * Avoid generating manpage during build, rather maintain them
    as maintainer manuals

 -- Nilesh Patra <nilesh@debian.org>  Sat, 13 Nov 2021 00:22:04 +0530

dcmstack (0.8-2) unstable; urgency=medium

  * Replace nosetests-3 with python3 -m nose for autopkgtest invocation
    (Closes: #982119)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 06 Feb 2021 12:29:32 -0500

=== debian/control ===
Source: dcmstack
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-dicom,
               python3-docutils,
               python3-nibabel,
               python3-numpy,
               python3-numpydoc,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/dcmstack
Vcs-Git: https://salsa.debian.org/med-team/dcmstack.git
Homepage: https://github.com/moloney/dcmstack
Rules-Requires-Root: no

Package: python3-dcmstack
Architecture: all
Depends: python3-dicom,
         python3-nibabel,
         python3-numpy,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Conflicts: python-dcmstack
Provides: ${python3:Provides}
Description: DICOM to NIfTI conversion - python3 package
 DICOM to NIfTI conversion with the added ability to extract and summarize
 meta data from the source DICOMs. The meta data can be injected into a
 NIfTI header extension or written out as a JSON formatted text file.
 .
 This package provides the Python3 package.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest
Restrictions: allow-stderr
Architecture: !s390x

# Big endian systems are currently raising test failures[1].  There is
# an issue open upstream[2] just in case big endian support goes
# somewhere, but let's exclude that for now, as it has a long history[3]
# of failing on s390x anyway.
# [1]: https://ci.debian.net/packages/d/dcmstack/testing/s390x/47085919/
# [2]: https://github.com/moloney/dcmstack/issues/89
# [3]: https://ci.debian.net/packages/d/dcmstack/testing/s390x/

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v(\d)\.(\d).*/dcmstack-$1.$2\.tar\.gz/" \
  https://github.com/moloney/dcmstack/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
